
QGIS Application - Bug report #18801

QGIS project containing mesh layer fails to open the ML

2018-04-25 11:50 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee: Peter Petrik

Category: Project Loading/Saving

Affected QGIS version:3.1(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26687

Description

This is related to:

https://github.com/qgis/QGIS/pull/6820

Open QGIS

Add a mesh layer (in my case 2dm).

Save the project

Close QGIS

Open QGIS and try to load the saved project

No mesh layer is present

Associated revisions

Revision 12183e98 - 2018-05-03 12:10 PM - Peter Petrik

Fix reading/writing of mesh layer to a qgis project (fixes #18801) (PR #6869)

    -  fix guard header

    -  [bugfix] Fix reading/writing of mesh layer to a qgis project #18801

    -  fix copy-paste error

    -  fix copy-paste error

    -  extract decode source to derived classes

    -  remove raster providers from vector decode source

    -  reset testdata to master

History

#1 - 2018-05-03 12:10 PM - Peter Petrik

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|12183e98db47aa788cf53b34ca7069afbd93b83a.
